Subject: Re: unexpected behavior of read() under win95
From: [email-masked] (Sebastian Kuzminsky)

26 Jan 1998 11:45:38 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Fergus Henderson <[email-masked]>
Cc: [email-masked]

Fergus Henderson <[email-masked]> wrote:
] For text mode opens, read() is stripping out \r's.

   It strips our \r when preceeded by \n, and it reports EOF on reading
0x1A...  But, as you say, the O_BINARY flag makes it not mangle the data.
Thanks!

   I will remember that not everyone is Posixally correct.
   I will remember that not everyone is Posixally correct.
   I will remember that not everyone is Posixally correct.
   I will remember that not everyone is Posixally correct.
   ...

Sebastian

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".